/* ################################################################## */

/*main{
    width: max-content;
}*/

#kalender-container{
    /*overflow: auto;*/
}

.gruppierung-info{
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
.event-body:hover{
    opacity: 1;
}

#kalender-nav-container {

}

#kalender-navigation-1, #kalender-navigation-2 {
    padding-left: 15px;
    padding-right: 15px;
}

#kalender-navigation-1 a, #kalender-navigation-2 a {
    text-decoration: none;
}

#kalender-datetimepicker {
    position: relative;
}

#kalender-nav-container .bootstrap-datetimepicker-widget a[data-action]{
    margin-left: 1.75em;
}

#kalender-nav-container .bootstrap-datetimepicker-widget{
    top: 45px !important;
    left: 5px !important;
    right: auto!important;
    width: max-content;
}

#kalender-nav-container-1, #kalender-nav-container-2 {
    display: flex;
    flex-direction: row;
}

#kalender-nav-container-2 {
    padding-top: 10px;
    padding-bottom: 10px;
}

#kalender-container {
    -ms-user-select: None;
    -moz-user-select: None;
    -webkit-user-select: None;
    user-select: None;
}


.kalender-nav-prev {
    margin-left: 0;
    margin-right: 1em;
}

.kalender-nav-next{
    margin-left: 1em;
    margin-right: 0;
}

.btn-kalender {
    text-decoration: none;
    border: none;
    background-color: transparent;
}

#kalender-content {
    font-size: 0.8em;
}

.z_index {
    z-index: 3 !important;
}

.mark {
    position: absolute;
    background-color: green;
    color: #fff;
    z-index: 2;
    opacity: 0.5;
    height: 100%;
}

.event {
    -ms-user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;

    padding: .25em;
    position: absolute;
    background-color: #fff;
    color: #000;
    z-index: 1;
    font-size: 0.8em;
    text-overflow: ellipsis;
    overflow: hidden;

}

.buchungstermin{
    background-color: rgba(248, 116, 125,0.3);
}

.buchungstermin_abgeschlossen{
    background-color: rgba(248, 116, 125,0.5);
}

.buchungstermin_unangemeldet{
    background-color: rgba(185, 214, 125,0.5);
}

.sperrzeit{
    background-color: rgba(255, 255, 204,0.5);
}

.lehrveranstaltung_expmed {
    border: .25em solid rgba(181, 105, 29, 0.8);
}

.terminlegende {
    display: inline-block;
    padding: .5em;
}

.elter-kind-belegung{
    background-color: rgba(105, 105, 105, 0.2);
}

.elter-kind-belegung_unangemeldet{
    background-color: rgba(185, 214, 125, 0.2);
}


.event-content {
    position: relative;
    height: 100%;
}

.event-header {
    position: absolute;
    top: 0;
    height: 1em;
    width: 100%;
}

.event-body {
    /*position: absolute;*/
    /*top:1em;*/
    /*bottom: 1em;*/
    /*width: 100%;*/
    /*padding: 0.5em;*/
}

.event-footer {
    position: absolute;
    bottom: 0;
    height: 1em;
    width: 100%;
}

.rTableRow {
    display: flex;
    flex-direction: row;
    background-color: #fff;
}

.rTableHead {
    background-color: #e0e0e0;
}

.rTableCell {
    float: left;
    overflow: hidden;
}

.rTableCell {
    height: 100%;
}

.wochen-info {
    display: flex;
    justify-content: center;
}

.tbl-header-height{
    height: 17px;
}

.gruppierung-info {
    display: flex;
    align-items: center;
}

.stunde-info {
    display: flex;
    justify-content: center;
}

.tag-zeile {

}

.tag-info {
    display: flex;
    align-items: center;
    justify-content: center;
}

.termin-info-container td {
    vertical-align: top;
}

.gruppierung-container {
    display: flex;
    flex-direction: column;
}

.gruppierung-zeile {

}

.gruppierung-info {

}

.stundenzellen-container {
    clear: both;
    position: relative;
}


.rTable.border {
    border: none !important;
    border-top: 1px solid #212529 !important;
    border-left: 1px solid #212529 !important;
    border-right: 1px solid #212529 !important;
}

.gruppierung-zeile.border-bottom {
    /* border-bottom: 1px solid #6c757d !important; */
    border-bottom: 1px solid black !important;
}

.slot {
    position: relative;
    height: 100%;
    /*opacity: 1;*/
}

.stunde-info.border-left,
.zeit-slot-stunde.border-left {
    border-left: 1px solid #a8a8a8 !important;
}

.zeit-slot-transparent{
    border-left: 1px solid transparent !important;
}

.zeit-slot.border-left {
    border-left: 1px solid #dee2e6 !important;
}

.tag-info.border-top,
.gruppierung-info.border-top,
.gruppierung-zeile-ende.border-top{
    border-top: 1px solid #212529 !important;
}

.gruppierung-container.border-right{
    border-right: 1px solid #212529 !important;
}

.tag-info.border-left{
    border-left: 1px solid #212529 !important;
}

.tag-info.border-bottom,
.gruppierung-zeile-ende.border-bottom,
.wochen-info.border-bottom,
.gruppierung-info.border-bottom,
.stunde-info.border-bottom {
    border-bottom: 1px solid #212529 !important;
}

/* ################################################################################ */

/*Bootstrap Calendar*/
.datepicker {
    border-radius: 0;
    padding: 0;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    /*top: 30px !important;*/
    display: block !important;
    margin: 2px 0 !important;
    padding: 4px !important;
    width: auto !important;
}

.datepicker-days table thead, .datepicker-days table tbody, .datepicker-days table tfoot {
    padding: 10px;
    display: list-item;
}

.datepicker-days table thead, .datepicker-months table thead, .datepicker-years table thead, .datepicker-decades table thead, .datepicker-centuries table thead {
    background: #3546b3;
    color: #ffffff;
    border-radius: 0;
}

.datepicker-days table thead tr:nth-child(2n+0) td, .datepicker-days table thead tr:nth-child(2n+0) th {
    border-radius: 3px;
}

.datepicker-days table thead tr:nth-child(3n+0) {
    text-transform: uppercase;
    font-weight: 300 !important;
    font-size: 12px;
    color: rgba(255, 255, 255, 0.7);
}
.datepicker-days table tbody tr:hover {
    background-color: #dee2e6 ;
}

.bootstrap-datetimepicker-widget table td.day:hover, .bootstrap-datetimepicker-widget table td.hour:hover, .bootstrap-datetimepicker-widget table td.minute:hover, .bootstrap-datetimepicker-widget table td.second:hover{
    background: #dee2e6 !important;
}

.table-condensed > tbody > tr > td, .table-condensed > tbody > tr > th, .table-condensed > tfoot > tr > td, .table-condensed > tfoot > tr > th, .table-condensed > thead > tr > td, .table-condensed > thead > tr > th {
    padding: 11px 13px;
}

.datepicker-months table thead td, .datepicker-months table thead th, .datepicker-years table thead td, .datepicker-years table thead th, .datepicker-decades table thead td, .datepicker-decades table thead th, .datepicker-centuries table thead td, .datepicker-centuries table thead th {
    border-radius: 0;
}

.datepicker td, .datepicker th {
    border-radius: 50%;
    padding: 0 12px;
}

.datepicker-days table thead, .datepicker-months table thead, .datepicker-years table thead, .datepicker-decades table thead, .datepicker-centuries table thead {
    background: #b9d67d;
    color: #ffffff;
    border-radius: 0;
}

.datepicker table tr td.active, .datepicker table tr td.active:hover, .datepicker table tr td.active.disabled, .datepicker table tr td.active.disabled:hover {
    background-image: none;
    background-color: #ffffff;
}

.datepicker .prev, .datepicker .next {
    color: rgba(255, 255, 255, 0.5);
    transition: 0.3s;
    width: 37px;
    height: 37px;
}

.datepicker .prev:hover, .datepicker .next:hover {
    background: transparent;
    color: rgba(0, 0, 0, 0.99) !important;
    font-size: 21px;
}

.datepicker .picker-switch {
    font-size: 24px;
    font-weight: 400;
    transition: 0.3s;
    text-align: center;
}

.datepicker .picker-switch:hover {
    color: rgba(0, 0, 0, 0.7);
    background: transparent;
}

.datepicker table tr td span {
    border-radius: 2px;
    margin: 3%;
    width: 27%;
}

.datepicker table tr td span.active, .datepicker table tr td span.active:hover, .datepicker table tr td span.active.disabled, .datepicker table tr td span.active.disabled:hover {
    background-color: #3546b3;
    background-image: none;
}

.dropdown-menu {
    border: 1px solid rgba(0, 0, 0, .1);
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}

.datepicker-dropdown.datepicker-orient-top:before {
    border-top: 7px solid rgba(0, 0, 0, .1);
}

.kalender_button_container{
    display: flex;
    justify-content: space-between;
}

.kalender_button_zeile_links
{
    display: flex;
    justify-content: flex-start;
    margin-top: 1em;
}

.kalender_button_zeile_rechts
{
    display: flex;
    justify-content: flex-end;
    margin-top: 1em;
}

.kalender_button
{
    margin-right: 1em;
}

/*
Beteiligte Sicht
*/

.tableBorderElement {
    border-right: thin solid;
}
